Loading...
Searching...
No Matches
irr::SKeyMap Struct Reference

Struct storing which key belongs to which action. More...

`#include <SKeyMap.h>`

## Public Member Functions

| SKeyMap ()
| SKeyMap (EKEY_ACTION action, EKEY_CODE keyCode)

## Public Attributes

EKEY_ACTION | Action
EKEY_CODE | KeyCode

## Detailed Description

Struct storing which key belongs to which action.

Definition at line 29 of file SKeyMap.h.

## Constructor & Destructor Documentation

## SKeyMap() [1/2]

irr::SKeyMap::SKeyMap | ( |  | ) |

inline

Definition at line 31 of file SKeyMap.h.

## SKeyMap() [2/2]

irr::SKeyMap::SKeyMap | ( | EKEY_ACTION | action,
|  | EKEY_CODE | keyCode )

inline

Definition at line 32 of file SKeyMap.h.

References Action, and KeyCode.

## Member Data Documentation

## Action

EKEY_ACTION irr::SKeyMap::Action

Definition at line 34 of file SKeyMap.h.

Referenced by SKeyMap().

## KeyCode

EKEY_CODE irr::SKeyMap::KeyCode

Definition at line 35 of file SKeyMap.h.

Referenced by SKeyMap().

The documentation for this struct was generated from the following file:

- SKeyMap.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0